package cd.casic.ci.common.pipeline.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.api.enums
 * @Project：ops-pro
 * @name：TriggerRepositoryType
 * @Date：2025/03/26 10:51
 * @Filename：TriggerRepositoryType
 * @description：Todo
 */
@Getter
@AllArgsConstructor
public enum TriggerRepositoryType {
    ID,
    NAME,
    SELF,
    NONE;

    public static RepositoryType toRepositoryType(TriggerRepositoryType type) {
        switch (type) {
            case ID:
            case SELF:
                return RepositoryType.ID;
            case NAME:
                return RepositoryType.NAME;
            default:
                return null;
        }
    }
}
