package cd.casic.ci.common.pipeline.pojo.agent;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author by mianbin
 * @Classname UpgradeItem
 * @Description TODO
 * @Date 2025/4/8 19:42
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Schema(name = "需要升级的项")
public class UpgradeItem {
    @Schema(description = "升级go agent")
    private boolean agent;

    @Schema(description = "升级worker")
    private boolean worker;

    @Schema(description = "升级jdk")
    private boolean jdk;

    @Schema(description = "升级docker init 脚本")
    private boolean dockerInitFile;
}
