package cd.casic.ci.common.pipeline.pojo.cascade;

import cd.casic.ci.common.pipeline.pojo.BuildFormValue;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;

import java.util.List;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline.pojo.cascade
 * @Project：ops-pro
 * @name：BuildCascadeProps
 * @Date：2025/03/26 10:04
 * @Filename：BuildCascadeProps
 * @description：Todo
 */
@Data
@Schema(title = "构建模型-表单元素属性")
@AllArgsConstructor
public class BuildCascadeProps {
    // 级联ID
    private String id;
    // 级联下拉框值
    private List<BuildFormValue> options;
    // 后端搜索url
    private String searchUrl;
    // 搜索key
    private String replaceKey;
    // 级联子级
    private BuildCascadeProps children;
}
