package cd.casic.ci.process.api.process.pojo.mq;

import cd.casic.ci.event.enums.ActionType;
import cd.casic.ci.event.pojo.pipeline.IPipelineEvent;
import org.apache.tomcat.util.net.DispatchType;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.process.api.process.pojo.mq
 * @Project：ops-pro
 * @name：PipelineAgentShutdownEvent
 * @Date：2025/03/25 9:35
 * @Filename：PipelineAgentShutdownEvent
 * @description：Todo
 */
public class PipelineAgentShutdownEvent  extends IPipelineEvent {
    private String source;
    private String projectId;
    private String pipelineId;
    private String userId;
    private String buildId;
    private String vmSeqId;
    private boolean buildResult;
    private Integer executeCount;
    private String dockerRoutingType = "VM";
    private DispatchType dispatchType;
    private String routeKeySuffix;
    private ActionType actionType = ActionType.REFRESH;
    private int delayMills = 0;
}
