package cd.casic.ci.log.scm.config;

import org.springframework.boot.autoconfigure.AutoConfigureOrder;
import org.springframework.boot.autoconfigure.condition.ConditionalOnWebApplication;
import org.springframework.context.annotation.Configuration;
import org.springframework.core.Ordered;

/**
 * @author mianbin
 * @description Git通用配置
 * @date 2024/10/18 14:45
 */
@Configuration
@ConditionalOnWebApplication
@AutoConfigureOrder(value = Ordered.LOWEST_PRECEDENCE)
public class GitConfig {

    public final String gitlabUrl = "";

    public final String gitlabApiUrl = "";

    public final String gitlabHookUrl = "";

    public final String gitUrl = "";

    public final String gitApiUrl = "";

    public final String clientId = "";

    public final String clientSecret = "";

    public final String redirectUrl = "";

    public final String  gitHookUrl = "";

    public final String callbackUrl = "";

    public final String hookLockToken = "";

    public final String signSecret = "";

    public final String githubClientId = "";

    public final String oauthAppClientId = "";

    public final String githubClientSecret = "";

    public final String oauthAppClientSecret = "";

    public final String githubWebhookUrl = "";

    public final String githubCallbackUrl = "";

    public final String githubRedirectUrl = "";

    public final String githubAppUrl = "";

    public final String tGitUrl = "";

    public final String tGitApiUrl = "";

    public final String tGitClientId = "";

    public final String tGitClientSecret = "";

    public final String tGitWebhookUrl = "";

    public final String frontendSampleProjectUrl = "";

    public final String tGitHookUrl = "";

    public final String tGitHookSecret = "";
}
