package cd.casic.ci.log.scm.dal.dto;

import cd.casic.framework.commons.dataobject.BaseDO;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author mianbin
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class RepositoryTGitToken extends BaseDO {

    private Long id;

    private String userId;

    private String accessToken;

    private String refreshToken;

    private String tokenType;

    private Long expiresIn;

    private String oauthUserId;

    public RepositoryTGitToken(String userId, String accessToken, String refreshToken, String tokenType, Long expiresIn, String oauthUserId) {
        this.userId = userId;
        this.accessToken = accessToken;
        this.refreshToken = refreshToken;
        this.tokenType = tokenType;
        this.expiresIn = expiresIn;
        this.oauthUserId = oauthUserId;
    }
}
