package cd.casic.pipeline.store.pojo.common.publication;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "发布进度")
public class ReleaseProcessItem {
    @Schema(title = "步骤名称", required = true)
    private String name;
    
    @Schema(title = "步骤代码", required = true)
    private String code;
    
    @Schema(title = "步骤号", required = true)
    private int step;
    
    @Schema(title = "状态", required = true)
    private String status;
}