package cd.casic.pipeline.dispatch.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author by mianbin
 * @Classname BuildNeedEndMessage
 * @Description TODO
 * @Date 2025/4/8 16:37
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(title = "构建结束信息")
public class BuildNeedEndMessage {
    @Schema(title = "构建ID", required = true)
    private String buildId;
    @Schema(title = "构建开始时间", required = true)
    private long startTime;
}
