package cd.casic.ci.process.api.process.pojo.classify;

import cd.casic.ci.process.api.process.pojo.classify.enums.Condition;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo.classify
 * @Project：ops-pro
 * @name：PipelineViewFilterByLabel
 * @Date：2025/03/24 20:02
 * @Filename：PipelineViewFilterByLabel
 * @description：Todo
 */
@Data
@Schema(title = "流水线视图-通过label过滤", description = PipelineViewFilterByLabel.CLASS_TYPE)
public class PipelineViewFilterByLabel extends PipelineViewFilter {
    public static final String CLASS_TYPE = "filterByLabel";
    @Schema(title = "条件", required = false)
    private Condition condition;
    @Schema(title = "流水线id", required = false)
    private String groupId;
    @Schema(title = "标签id列表", required = false)
    private List<String> labelIds;
}
