package cd.casic.ci.process.api.process.pojo.classify;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo.classify
 * @Project：ops-pro
 * @name：PipelineViewUpdate
 * @Date：2025/03/24 20:08
 * @Filename：PipelineViewUpdate
 * @description：Todo
 */

@Data
@Schema(title = "流水线视图更新模型")
public class PipelineViewUpdate {
    @Schema(title = "视图id", required = false)
    private String id;
    @Schema(title = "项目id", required = false)
    private String projectId;
    @Schema(title = "视图名称", required = false)
    private String name;
    @Schema(title = "是否项目", required = false)
    private boolean projected = false;
    @Schema(title = "按流水线名过滤", required = false)
    private String filterByPipelineName;
    @Schema(title = "按创建人过滤", required = false)
    private List<String> filterByCreator;
    @Schema(title = "标签列表", required = false)
    private List<PipelineLabelId> labels;
}
