package cd.casic.ci.process.api.process.pojo.code;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.process.api.process.pojo.code
 * @Project：ops-pro
 * @name：PipelineBuildCommit
 * @Date：2025/03/24 20:15
 * @Filename：PipelineBuildCommit
 * @description：Todo
 */
@Data
@Schema(title = "构建提交信息")
public class PipelineBuildCommit {
    private String projectId;
    private String pipelineId;
    private String buildId;
    private String commitId;
    private String authorName;
    private String message;
    private String repoType;
    private LocalDateTime commitTime;
    private String url;
    private String eventType;
    private String mrId;
    private String channel;
    private String action;
}
