package cd.casic.ci.process.api.process.pojo.code;

import cd.casic.ci.process.api.process.pojo.BuildId;
import cd.casic.ci.process.api.process.pojo.classify.PipelineViewPreview;
import cd.casic.ci.process.api.process.pojo.trigger.PipelineTriggerReasonDetail;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.process.api.process.pojo.code
 * @Project：ops-pro
 * @name：WebhookBuildResult
 * @Date：2025/03/24 20:16
 * @Filename：WebhookBuildResult
 * @description：Todo
 */
@Data
@Schema(title = "webhook触发结果")
public class WebhookBuildResult {
    @Schema(title = "触发结果")
    private boolean result;
    @Schema(title = "流水线信息")
    private PipelineViewPreview.PipelineInfo pipelineInfo;
    @Schema(title = "触发buildId")
    private BuildId buildId;
    @Schema(title = "触发失败原因")
    private PipelineTriggerReasonDetail reasonDetail;
}
