package cd.casic.ci.process.api.process.pojo.pipeline;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author by mianbin
 * @Classname PipelineYamlVersion
 * @Description TODO
 * @Date 2025/3/31 17:45
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(title = "流水线yml版本")
public class PipelineYamlVersion {
    @Schema(title = "项目ID")
    private String projectId;
    @Schema(title = "代码库ID")
    private String repoHashId;
    @Schema(title = "ci文件路径")
    private String filePath;
    @Schema(title = "ci文件blob_id")
    private String blobId;
    @Schema(title = "ci文件commitId")
    private String commitId;
    @Schema(title = "ci文件来源分支/tag")
    private String ref;
    @Schema(title = "流水线ID")
    private String pipelineId;
    @Schema(title = "流水线版本")
    private int version;
}
