package cd.casic.pipeline.store.pojo.atom;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "插件参数替换信息")
public class AtomParamReplaceInfo {
    @Schema(title = "被替换插件参数名称", required = true)
    private String fromParamName;
    @Schema(title = "替换插件参数名称", required = true)
    private String toParamName;
    @Schema(title = "替换插件参数值，不传默认用被替换插件参数值替换", required = false)
    private Object toParamValue;
    @Schema(title = "替换插件默认参数值，如果没有指定替换插件参数值且被替换插件参数没有值则用该默认值作为替换插件参数值", required = false)
    private Object toParamDefaultValue;
    @Schema(title = "参数自定义转换接口url地址，接口参数结构需统一", required = false)
    private String paramConvertUrl;
}