package cd.casic.pipeline.store.pojo.common.sensitive;

import cd.casic.pipeline.store.pojo.common.enums.ApiLevelEnum;
import cd.casic.pipeline.store.pojo.common.enums.ApiStatusEnum;
import cd.casic.pipeline.store.pojo.common.enums.StoreTypeEnum;
import lombok.Data;

@Data
public class SensitiveApiCreateDTO {
    private String id;
    private String userId;
    private StoreTypeEnum storeType;
    private String storeCode;
    private String apiName;
    private String aliasName;
    private String applyDesc;
    private ApiStatusEnum apiStatus;
    private ApiLevelEnum apiLevel;
}